﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form3 : Form
    {
        // Fields

        private Button currntBtn;
        private Panel topPanel;
        private Form currentChildForm;

        public Form3()
        {
            InitializeComponent();
            topPanel = new Panel();
            topPanel.Size = new Size(168, 44);
            //panelMenu.Controls.Add(topPanel);
        }

        //Structs

        private struct Colours
        {
            public static Color color1 = Color.LightSlateGray;
        }

        //Methods

        private void ActiveButton(object senderBtn, Color color)
        {
            if (senderBtn != null)
            {
                DeActiveButton();

                currntBtn = (Button)senderBtn;
                currntBtn.BackColor = Color.LightSlateGray;
            }
        }

        private void DeActiveButton()
        {
            if (currntBtn != null)
            {
                currntBtn.BackColor = Color.Transparent;
            }
        }

        private void OpenChildForm(Form childForm)
        {
            if (currentChildForm != null)
            {
                // pen only form
                currentChildForm.Close();
            }

            currentChildForm = childForm;
            childForm.TopLevel = false;
            childForm.FormBorderStyle = FormBorderStyle.None;
            childForm.Dock = DockStyle.Fill;
            pannelDesktop.Controls.Add(childForm);
            pannelDesktop.Tag = childForm;
            childForm.BringToFront();
            childForm.Show();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            ActiveButton(sender, Colours.color1);
            OpenChildForm(new Form4());
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            ActiveButton(sender, Colours.color1);
            OpenChildForm(new Form5());
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            ActiveButton(sender, Colours.color1);
            OpenChildForm(new Form8());
        }

        private void Panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void Panel2_Paint(object sender, PaintEventArgs e)
        {

        }
    }
}
