﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form8 : Form
    {
        public Point start = new Point(300, 300);
        public Point Xaxe;
        public Point Yaxe;
        public Point Zaxe;
        int numberOfPoints = 40;
        int lengthBetweenPoints = 15;
        Point[] Zpoints;
        Point[] Ypoints;
        Point[] Xpoints;

        public Boolean paintButtomFirst = true;

        oldCube oldCube;

        newCube newCube;

        public Form8()
        {
            InitializeComponent();

            Zpoints = new Point[numberOfPoints];
            Ypoints = new Point[numberOfPoints];
            Xpoints = new Point[numberOfPoints];

            createCoordinateSystem();
        }

        public void createCoordinateSystem()
        {
            //The center of the Coordinate System.
            start = new Point(300, 300);

            //The point of 3 aksis. This is maybe not optimal, but i was thinking, what is det endpoint
            //of x, y and z, and then at the next step i find ONE step size, I could just jump directlty
            //to ONE step, by defining it my self, but I did not think of it. I also rotated the entire 
            //coordinate system, so that may be the reason for this aproach.
            Yaxe = new Point(300, 200);
            Xaxe = new Point(377, 332);
            Zaxe = new Point(236, 338);

            //calculating One Step size
            // Y
            int yxStep = (Yaxe.X - start.X) / lengthBetweenPoints; // 0
            int yyStep = (Yaxe.Y - start.Y) / lengthBetweenPoints; //-6
            // Z
            int zxStep = (Zaxe.X - start.X) / lengthBetweenPoints; //-4
            int zyStep = (Zaxe.Y - start.Y) / lengthBetweenPoints; // 2
            // X
            int xxStep = (Xaxe.X - start.X) / lengthBetweenPoints; // 5
            int xyStep = (Xaxe.Y - start.Y) / lengthBetweenPoints; // 2

            //Saving all the single steps on the 3 axis x,y and z in individual arrays.
            //I would normaly have put this into a class so that all 3 arrays were together.
            for (int i = 0; i < numberOfPoints; i++)
            {
                Ypoints[i] = new Point(start.X + (yxStep * i), start.Y + (yyStep * i));
                Zpoints[i] = new Point(start.X + (zxStep * i), start.Y + (zyStep * i));
                Xpoints[i] = new Point(start.X + (xxStep * i), start.Y + (xyStep * i));
            }
        }

        Bitmap bmp;
        private Graphics minGraphics;

        public void paintNow()
        {
            bmp = new Bitmap(pictureBox1.Width, pictureBox1.Height);
            minGraphics = Graphics.FromImage(bmp);
            minGraphics.Clear(Color.White);
            Font drawFont = new Font("Arial", 8);
            SolidBrush drawBrush = new SolidBrush(Color.Gray);
            Pen p1 = new Pen(Color.Gray, 1);

            //----Drawing Begins Her-------------------------------
            //----Drawing Begins Her-------------------------------
            //----Drawing Begins Her-------------------------------


            //--------Drawing all the GITTER------------------
            if (checkBox2.Checked == true)
            {
                for (int i = 0; i < numberOfPoints; i++) //From Y axe
                {
                    Point po = Ypoints[i];
                    Point to = calculateYZpoint(i, numberOfPoints - 1);
                    minGraphics.DrawLine(p1, po.X, po.Y, to.X, to.Y);
                    Point toX = calculateYXpoint(i, numberOfPoints - 1);
                    minGraphics.DrawLine(p1, po.X, po.Y, toX.X, toX.Y);
                    if (false)
                    {
                        //----Drawing-------------------------------
                        pictureBox1.Image = bmp;
                        pictureBox1.Update();
                    }
                }
                for (int i = 0; i < numberOfPoints; i++) //From Z axe
                {
                    Point po = Zpoints[i];
                    Point to = calculateYZpoint(numberOfPoints - 1, i);
                    minGraphics.DrawLine(p1, po.X, po.Y, to.X, to.Y);

                    Point toX = calculateXZpoint(numberOfPoints - 1, i);
                    minGraphics.DrawLine(p1, po.X, po.Y, toX.X, toX.Y);
                    if (false)
                    {
                        //----Drawing-------------------------------
                        pictureBox1.Image = bmp;
                        pictureBox1.Update();
                    }
                }
                for (int i = 0; i < numberOfPoints; i++) //From X axe
                {
                    Point po = Xpoints[i];
                    Point toY = calculateYXpoint(numberOfPoints - 1, i);
                    minGraphics.DrawLine(p1, po.X, po.Y, toY.X, toY.Y);
                    Point toZ = calculateXZpoint(i, numberOfPoints - 1);
                    minGraphics.DrawLine(p1, po.X, po.Y, toZ.X, toZ.Y);
                    if (false)
                    {
                        //----Drawing-------------------------------
                        pictureBox1.Image = bmp;
                        pictureBox1.Update();
                    }
                }
            }

            //----Drawing the AXIS-----------------------------
            // this is the axis, that is used to calculate ONE step, when creating the Coordinate System.
            if (checkBox3.Checked == true)
            {
                minGraphics.DrawLine(p1, start.X, start.Y, Xaxe.X, Xaxe.Y);
                minGraphics.DrawString(" X axis " + "X=" + Xaxe.X + " Y=" + Xaxe.Y, drawFont, drawBrush, Xaxe.X, Xaxe.Y);

                minGraphics.DrawLine(p1, start.X, start.Y, Yaxe.X, Yaxe.Y);
                minGraphics.DrawString(" Y axis" + "X=" + Yaxe.X + " Y=" + Yaxe.Y, drawFont, drawBrush, Yaxe.X, Yaxe.Y);

                minGraphics.DrawLine(p1, start.X, start.Y, Zaxe.X, Zaxe.Y);
                minGraphics.DrawString(" Z axis" + "X=" + Zaxe.X + " Y=" + Zaxe.Y, drawFont, drawBrush, Zaxe.X, Zaxe.Y);

            }


            //--------Drawing the CALCULATIONS------------------
            if (checkBox4.Checked == true)
            {
                Pen p2 = new Pen(Color.LightPink, 2);
                SolidBrush drawBrush2 = new SolidBrush(Color.Red);
                Point YXpos = calculateYXpoint(6, 6);
                minGraphics.DrawString("  YX(6,6)  " + "X= " + YXpos.X + " Y=" + YXpos.Y, drawFont, drawBrush2, YXpos.X, YXpos.Y - 30);

                drawBrush2 = new SolidBrush(Color.Blue);
                Point XZpos = calculateXZpoint(6, 6);
                minGraphics.DrawString("  XZ(6,6) " + "X= " + XZpos.X + " Y=" + XZpos.Y, drawFont, drawBrush2, XZpos.X, XZpos.Y - 5);

                drawBrush2 = new SolidBrush(Color.Green);
                Point YZpos = calculateYZpoint(6, 6);
                minGraphics.DrawString(" YZ(6,6) " + "X= " + YZpos.X + " Y=" + YZpos.Y, drawFont, drawBrush2, YZpos.X - 100, YZpos.Y - 30);

                Point point3D = calculate3Dto2D(6, 6, 6);

                //Drawing the lines from the 3 points to the 3D point
                minGraphics.DrawLine(p2, YXpos.X, YXpos.Y, point3D.X, point3D.Y);
                minGraphics.DrawLine(p2, XZpos.X, XZpos.Y, point3D.X, point3D.Y);
                minGraphics.DrawLine(p2, YZpos.X, YZpos.Y, point3D.X, point3D.Y);

                SolidBrush drawBrush3 = new SolidBrush(Color.Black);
                minGraphics.DrawString("  XYZ(6,6,6)  " + "X=" + point3D.X + " Y=" + point3D.Y, drawFont, drawBrush3, point3D.X, point3D.Y);
            }

            //-----DRAWING THE OLD CUBE------------------------
            if (oldCube != null)
                oldCube.paint(minGraphics);

            //-----DRAWING THE NEW CUBE------------------------
            if (newCube != null) //Draw the New Cube that can rotate
                newCube.paint(minGraphics);

            //----Drawing Ends Her-------------------------------
            pictureBox1.Image = bmp;
            pictureBox1.Update();
        }

        private int outOfBounceSafety(int value)
        {
            if (value >= numberOfPoints)
                value = numberOfPoints - 1;
            if (value < 0)
                value = 0;
            return value;
        }

        public Point calculateYZpoint(int y, int z)
        {
            y = outOfBounceSafety(y);
            z = outOfBounceSafety(z);

            Point p = new Point();
            p.X = Zpoints[z].X - (start.X - Ypoints[y].X);
            p.Y = Zpoints[z].Y + (Ypoints[y].Y - start.Y);
            return p;
        }

        public Point calculateYXpoint(int y, int x)
        {
            y = outOfBounceSafety(y);
            x = outOfBounceSafety(x);

            Point p = new Point();
            p.X = Xpoints[x].X - (start.X - Ypoints[y].X);
            p.Y = Xpoints[x].Y + (Ypoints[y].Y - start.Y);
            return p;
        }

        public Point calculateXZpoint(int x, int z)
        {
            z = outOfBounceSafety(z);
            x = outOfBounceSafety(x);

            Point p = new Point();
            p.Y = Zpoints[z].Y - (start.Y - Xpoints[x].Y);
            p.X = Zpoints[z].X + (Xpoints[x].X - start.X);
            return p;
        }

        public Point calculate3Dto2D(int x, int y, int z)
        {
            Point p = new Point();
            p.X = calculateXZpoint(x, z).X - (calculateYXpoint(0, x).X - calculateYXpoint(y, x).X);
            p.Y = calculateXZpoint(x, z).Y - (calculateYXpoint(0, x).Y - calculateYXpoint(y, x).Y);
            return p;
        }



        private void Button10_Click(object sender, EventArgs e)
        {

        }

        private void Button2_Click(object sender, EventArgs e)
        {
            oldCube.upY();
            paintNow();
        }

        private void Button5_Click(object sender, EventArgs e)
        {
            oldCube.downY();
            paintNow();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            oldCube.upX();
            paintNow();
        }

        private void Button4_Click(object sender, EventArgs e)
        {
            oldCube.downX();
            paintNow();
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            oldCube.upZ();
            paintNow();
        }

        private void Button6_Click(object sender, EventArgs e)
        {
            oldCube.downZ();
            paintNow();
        }

        private void CheckBox2_CheckedChanged(object sender, EventArgs e)
        {
            paintNow();
        }

        private void CheckBox3_CheckedChanged(object sender, EventArgs e)
        {
            paintNow();
        }

        private void CheckBox4_CheckedChanged(object sender, EventArgs e)
        {
            paintNow();
        }

        private void CheckBox6_CheckedChanged(object sender, EventArgs e)
        {
            paintNow();
        }

        private void CheckBox5_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBox5.Checked == true)
            {
                oldCube = new oldCube(this);
                paintNow();
            }
            else
            {
                oldCube = null;
                paintNow();
            }
        }

        private void CheckBox8_CheckedChanged(object sender, EventArgs e)
        {
            paintNow();
        }

        /* Boolean timer3kor = false;

         private void Button19_Click(object sender, EventArgs e)
         {
             if (timer3kor == false)
             {
                 timer1.Start();
                 timer3kor = true;
             }
             else
             {
                 timer1.Stop();
                 timer3kor = false;
             }
         }

         Random r = new Random();
         int timer3count = 0;
         int direction = 1;

        private void Timer1_Tick(object sender, EventArgs e)
         {
             timer3count++;
             if (timer3count > 14)
             {
                 direction = r.Next(1, 4);
                 timer3count = 0;
             }
             if (direction == 1)
                 newCube.plusYakse();
             else if (direction == 2)
                 newCube.plusXakse();
             else if (direction == 3)
                 newCube.plusZakse();
             paintNow();
         } */
    }

    class oldCube
    {
        Rektangel top;
        Rektangel bottom;
        Rektangel North;
        Rektangel South;
        Rektangel West;
        Rektangel East;
        Form1 formen;
        List<Rektangel> liste;
        int size = 1;


        public oldCube(Form1 f)
        {
            formen = f;
            North = new Rektangel(new xyz(0, 0, 0), new xyz(size, 0, 0), new xyz(size, size, 0), new xyz(0, size, 0), f, null, "Side");
            South = new Rektangel(new xyz(0, 0, size), new xyz(size, 0, size), new xyz(size, size, size), new xyz(0, size, size), f, null, "Side");
            West = new Rektangel(new xyz(0, 0, 0), new xyz(0, 0, size), new xyz(0, size, size), new xyz(0, size, 0), f, new SolidBrush(Color.Green), "Side");
            East = new Rektangel(new xyz(size, 0, 0), new xyz(size, 0, size), new xyz(size, size, size), new xyz(size, size, 0), f, null, "Side");
            top = new Rektangel(new xyz(0, size, 0), new xyz(0, size, size), new xyz(size, size, size), new xyz(size, size, 0), f, new SolidBrush(Color.Black), "Top");
            bottom = new Rektangel(new xyz(0, 0, 0), new xyz(0, 0, size), new xyz(size, 0, size), new xyz(size, 0, 0), f, new SolidBrush(Color.Red), "bottom");

            liste = new List<Rektangel>();

            liste.Add(bottom);
            liste.Add(top);
            liste.Add(North);
            liste.Add(South);
            liste.Add(West);
            liste.Add(East);
        }

        public oldCube(Form8 form8)
        {
        }

        public void rotadRigth()
        {
            SolidBrush gemmer = North.getFarve();
            North.setFarve(East.getFarve());
            SolidBrush gemmer2 = West.getFarve();
            West.setFarve(gemmer);
            gemmer = South.getFarve();
            South.setFarve(gemmer2);
            East.setFarve(gemmer);
        }

        public void rotadBotomUp()
        {
            SolidBrush gemmer = top.getFarve();
            top.setFarve(North.getFarve());
            SolidBrush gemmer2 = South.getFarve();
            South.setFarve(gemmer);
            gemmer = bottom.getFarve();
            bottom.setFarve(gemmer2);
            North.setFarve(gemmer);
        }

        public void upY()
        {
            foreach (Rektangel r in liste)
            {
                r.moveupY();
            }
        }
        public void downY()
        {
            foreach (Rektangel r in liste)
            {
                r.moveDownY();
            }
        }
        public void upX()
        {
            foreach (Rektangel r in liste)
            {
                r.moveupX();
            }
        }
        public void downX()
        {
            foreach (Rektangel r in liste)
            {
                r.moveDownX();
            }
        }
        public void upZ()
        {
            foreach (Rektangel r in liste)
            {
                r.moveupZ();
            }
        }
        public void downZ()
        {
            foreach (Rektangel r in liste)
            {
                r.moveDownZ();
            }
        }

        public void paint(Graphics g)
        {
            liste.Sort();
            Rektangel top = null;
            Rektangel bottom = null;
            foreach (Rektangel r in liste)
            {
                if (r.getType().Equals("Top"))
                {
                    top = r;
                }
                if (r.getType().Equals("bottom"))
                {
                    bottom = r;
                }
            }
            if (formen.paintButtomFirst == true)
            {
                bottom.paint(g);
            }
            else
            {
                top.paint(g);
            }

            int teller = 0;
            if (formen.paintButtomFirst == true)
            {
                for (int i = 0; i < liste.Count; i++)
                {
                    if (liste[i].getFarve() != null && liste[i].getType().Equals("Side"))
                    {
                        liste[i].paint(g);
                    }
                    else if (liste[i].getFarve() == null)
                    {
                        liste[i].paint(g);
                    }
                    teller++;
                }
            }
            if (formen.paintButtomFirst == false)
            {
                for (int i = liste.Count - 1; i > 0; i--)
                {
                    if (liste[i].getFarve() != null && liste[i].getType().Equals("Side"))
                    {
                        liste[i].paint(g);
                    }
                    else if (liste[i].getFarve() == null)
                    {
                        liste[i].paint(g);
                    }
                    teller++;
                }
            }
            if (formen.paintButtomFirst == true)
            {
                top.paint(g);
            }
            else
            {
                bottom.paint(g);
            }

        }
    }



    class Rektangel : IComparable
    {
        xyz[] liste = new xyz[4];
        Form1 formen;
        SolidBrush farve;
        String type = "";
        int moveLength = 49;

        public Rektangel(xyz p1, xyz p2, xyz p3, xyz p4, Form1 f, SolidBrush s, String typ)
        {
            liste[0] = p1;
            liste[1] = p2;
            liste[2] = p3;
            liste[3] = p4;
            formen = f;
            farve = s;
            type = typ;
        }
        public SolidBrush getFarve()
        {
            return farve;
        }
        public void setFarve(SolidBrush f)
        {
            farve = f;
        }
        public string getType()
        {
            return type;
        }
        public void setType(String t)
        {
            type = t;
        }
        public void moveupY()
        {
            foreach (xyz a in liste)
            {
                if (a.y < moveLength)
                    a.y++;
            }
        }
        public void moveDownY()
        {
            foreach (xyz a in liste)
            {
                if (a.y > 0)
                    a.y--;
            }
        }
        public void moveupX()
        {
            foreach (xyz a in liste)
            {
                if (a.x < moveLength)
                    a.x++;
            }
        }
        public void moveDownX()
        {
            foreach (xyz a in liste)
            {
                if (a.x > 0)
                    a.x--;
            }
        }
        public void moveupZ()
        {
            foreach (xyz a in liste)
            {
                if (a.z < moveLength)
                    a.z++;
            }
        }
        public void moveDownZ()
        {
            foreach (xyz a in liste)
            {
                if (a.z > 0)
                    a.z--;
            }
        }

        public xyz[] getListe()
        {
            return liste;
        }
        public int getClosenes()
        {
            int svar = 0;

            foreach (xyz a in liste)
            {
                Point p = formen.calculate3Dto2D(a.x, a.y, a.z);
                if (svar < p.Y)
                    svar = p.Y;

            }
            return svar;
        }
        public void paint(Graphics g)
        {
            Point[] lis = new Point[4];
            for (int i = 0; i < 4; i++)
            {
                if (liste[i] != null)
                    lis[i] = formen.calculate3Dto2D(liste[i].x, liste[i].y, liste[i].z);
            }
            if (farve != null)
            {

                g.FillPolygon(farve, lis);
            }
            else
            {
                Pen p = new Pen(Color.Gray, 1);
                g.DrawPolygon(p, lis);
            }
        }

        public int CompareTo(object obj)
        {
            Rektangel r = (Rektangel)obj;
            int svar = 0;

            if (r.getClosenes() > getClosenes())
            {
                svar = -1;
            }
            else
            {
                svar = 0;
            }
            return svar;
        }
    }

    class xyz
    {
        public int x;
        public int y;
        public int z;
        public xyz(int x, int y, int z)
        {
            this.x = x;
            this.y = y;
            this.z = z;
        }
    }
    class xyzDouble
    {
        public double x;
        public double y;
        public double z;

        public xyzDouble(double x, double y, double z)
        {
            this.x = x;
            this.y = y;
            this.z = z;
        }
    }
    class newCube
    {
        public xyzDouble startPoint;
        xyzDouble xPoint;
        xyzDouble yPoint;
        xyzDouble zPoint;

        xyzDouble yxPoint;
        xyzDouble yzPoint;
        xyzDouble xzPoint;
        xyzDouble xyzPoint;

        xyzDouble xPointMoved;
        xyzDouble yPointMoved;
        xyzDouble zPointMoved;

        xyzDouble yxPointMoved;
        xyzDouble yzPointMoved;
        xyzDouble xzPointMoved;
        xyzDouble xyzPointMoved;

        double xDegrees = 0;
        double yDegrees = 0;
        double zDegrees = 0;

        double degreeStep = 10;


        Form1 formen;
        public int newCubeLength = 5;


        public newCube(Form1 f)
        {
            reset();
            formen = f;
        }
        private void reset()
        {
            startPoint = new xyzDouble(10, 10, 10);
            xPoint = new xyzDouble(1, 0, 0);
            yPoint = new xyzDouble(0, 1, 0);
            zPoint = new xyzDouble(0, 0, 1);
            yxPoint = new xyzDouble(1, 1, 0);
            yzPoint = new xyzDouble(0, 1, 1);
            xzPoint = new xyzDouble(1, 0, 1);
            xyzPoint = new xyzDouble(1, 1, 1);


            xPointMoved = new xyzDouble(0, 0, 0);
            yPointMoved = new xyzDouble(0, 0, 0);
            zPointMoved = new xyzDouble(0, 0, 0);
            yxPointMoved = new xyzDouble(0, 0, 0);
            yzPointMoved = new xyzDouble(0, 0, 0);
            xzPointMoved = new xyzDouble(0, 0, 0);
            xyzPointMoved = new xyzDouble(0, 0, 0);
        }
        public void plusXakse()
        {
            xDegrees = xDegrees + degreeStep;
            reset();
            if (xDegrees >= 360)
                xDegrees = 0;

            rotationGenerel();
        }
        public void minusXakse()
        {
            xDegrees = xDegrees - degreeStep;
            reset();
            if (xDegrees < 0)
                xDegrees = 360 - degreeStep;

            rotationGenerel();
        }
        public void plusYakse()
        {
            yDegrees = yDegrees + degreeStep;
            if (yDegrees >= 360)
                yDegrees = 0;
            reset();

            rotationGenerel();
        }
        public void minusYakse()
        {
            yDegrees = yDegrees - degreeStep;
            reset();
            if (yDegrees < 0)
                yDegrees = 360 - degreeStep;

            rotationGenerel();
        }
        public void plusZakse()
        {
            zDegrees = zDegrees + degreeStep;
            reset();
            if (zDegrees >= 360)
                zDegrees = 0;

            rotationGenerel();
        }
        public void minusZakse()
        {
            zDegrees = zDegrees - degreeStep;
            reset();
            if (zDegrees < 0)
                zDegrees = 360 - degreeStep;
            rotationGenerel();
        }

        public void paint(Graphics g)
        {
           // formen.listBox1.item.Clear();

            //ListBox udskrift
           // formen.listBox1.Items.Add("Degrees: [Xaxis:" + xDegrees + "] [Yaxis:" + yDegrees + "] [Zaxis:" + zDegrees + "]");
            //formen.listBox1.Items.Add("X-vector: [" + xPoint.x + "] [" + xPoint.y + "] [" + xPoint.z + "]");
            //formen.listBox1.Items.Add("Y-vector: [" + yPoint.x + "] [" + yPoint.y + "] [" + yPoint.z + "]");
            //formen.listBox1.Items.Add("Z-vector: [" + zPoint.x + "] [" + zPoint.y + "] [" + zPoint.z + "]");
            //formen.listBox1.Items.Add("Start: [" + startPoint.x + "] [" + startPoint.y + "] [" + startPoint.z + "]");
           // formen.listBox1.Items.Add("Length: [" + newCubeLength + "]");

            //The newCube rotate around the center (0,0,0) therefor we move the result with the centerpoint as the (0,0,0) by
            //adding the startPoint values to the just calculated valus, and we also add newCubeLength, so that the cube can
            //be larger or smaller.
            xPointMoved.x = startPoint.x + (xPoint.x * newCubeLength);
            xPointMoved.y = startPoint.y + (xPoint.y * newCubeLength);
            xPointMoved.z = startPoint.z + (xPoint.z * newCubeLength);

            yPointMoved.x = startPoint.x + (yPoint.x * newCubeLength);
            yPointMoved.y = startPoint.y + (yPoint.y * newCubeLength);
            yPointMoved.z = startPoint.z + (yPoint.z * newCubeLength);

            zPointMoved.x = startPoint.x + (zPoint.x * newCubeLength);
            zPointMoved.y = startPoint.y + (zPoint.y * newCubeLength);
            zPointMoved.z = startPoint.z + (zPoint.z * newCubeLength);

            yxPointMoved.x = startPoint.x + (yxPoint.x * newCubeLength);
            yxPointMoved.y = startPoint.y + (yxPoint.y * newCubeLength);
            yxPointMoved.z = startPoint.z + (yxPoint.z * newCubeLength);

            xzPointMoved.x = startPoint.x + (xzPoint.x * newCubeLength);
            xzPointMoved.y = startPoint.y + (xzPoint.y * newCubeLength);
            xzPointMoved.z = startPoint.z + (xzPoint.z * newCubeLength);

            yzPointMoved.x = startPoint.x + (yzPoint.x * newCubeLength);
            yzPointMoved.y = startPoint.y + (yzPoint.y * newCubeLength);
            yzPointMoved.z = startPoint.z + (yzPoint.z * newCubeLength);

            xyzPointMoved.x = startPoint.x + (xyzPoint.x * newCubeLength);
            xyzPointMoved.y = startPoint.y + (xyzPoint.y * newCubeLength);
            xyzPointMoved.z = startPoint.z + (xyzPoint.z * newCubeLength);

           /* formen.listBox1.Items.Add("   Now we move the cube from the center of the coordinate system");
            formen.listBox1.Items.Add("   Coordinate Calculation formula: ");
            formen.listBox1.Items.Add("   xPointMoved.x = startPoint.x + (xPoint.x * newCubeLength)");
            formen.listBox1.Items.Add("X-Coordinate: [" + xPointMoved.x + "] [" + xPointMoved.y + "] [" + xPointMoved.z + "]");
            formen.listBox1.Items.Add("Y-Coordinate: [" + yPointMoved.x + "] [" + yPointMoved.y + "] [" + yPointMoved.z + "]");
            formen.listBox1.Items.Add("Z-Coordinate: [" + zPointMoved.x + "] [" + zPointMoved.y + "] [" + zPointMoved.z + "]"); */


            //Calculate the discrete Coordinate point. Se that we round the number to INTEGER.
            //we need this for drawing the moved cube.
            Point mp = formen.calculate3Dto2D(Convert.ToInt32(startPoint.x), Convert.ToInt32(startPoint.y), Convert.ToInt32(startPoint.z));
            Point pX = formen.calculate3Dto2D(Convert.ToInt32(xPointMoved.x), Convert.ToInt32(xPointMoved.y), Convert.ToInt32(xPointMoved.z));
            Point pY = formen.calculate3Dto2D(Convert.ToInt32(yPointMoved.x), Convert.ToInt32(yPointMoved.y), Convert.ToInt32(yPointMoved.z));
            Point pZ = formen.calculate3Dto2D(Convert.ToInt32(zPointMoved.x), Convert.ToInt32(zPointMoved.y), Convert.ToInt32(zPointMoved.z));

            Point pYX = formen.calculate3Dto2D(Convert.ToInt32(yxPointMoved.x), Convert.ToInt32(yxPointMoved.y), Convert.ToInt32(yxPointMoved.z));
            Point pYZ = formen.calculate3Dto2D(Convert.ToInt32(yzPointMoved.x), Convert.ToInt32(yzPointMoved.y), Convert.ToInt32(yzPointMoved.z));
            Point pXZ = formen.calculate3Dto2D(Convert.ToInt32(xzPointMoved.x), Convert.ToInt32(xzPointMoved.y), Convert.ToInt32(xzPointMoved.z));
            Point pXYZ = formen.calculate3Dto2D(Convert.ToInt32(xyzPointMoved.x), Convert.ToInt32(xyzPointMoved.y), Convert.ToInt32(xyzPointMoved.z));

            Font drawFont = new Font("Arial", 6);
            SolidBrush drawBrush = new SolidBrush(Color.Green);
            Pen p = new Pen(Color.Blue, 2);
            p.CustomEndCap = new System.Drawing.Drawing2D.AdjustableArrowCap(2, 2, false);

            // Drawing the NewCube with 3 arrows.
            g.DrawLine(p, mp.X, mp.Y, pX.X, pX.Y); //mp to pX
            g.DrawLine(p, mp.X, mp.Y, pY.X, pY.Y); //mp to pY
            g.DrawLine(p, mp.X, mp.Y, pZ.X, pZ.Y); //mp to pZ

          // if (formen.checkBoxShowCalc.Checked == true)
            {
                drawFont = new Font("Arial", 8);
                //Drawing the calculationg of the 3 arrows.
                g.DrawString("X x= " + Math.Round(xPointMoved.x, 1) + " y= " + Math.Round(xPointMoved.y, 1) + " z= " + Math.Round(xPointMoved.z, 1), drawFont, drawBrush, pX.X, pX.Y);
                g.DrawString("Y x= " + Math.Round(yPointMoved.x, 1) + " y= " + Math.Round(yPointMoved.y, 1) + " z= " + Math.Round(yPointMoved.z, 1), drawFont, drawBrush, pY.X, pY.Y);
                g.DrawString("Z x= " + Math.Round(zPointMoved.x, 1) + " y= " + Math.Round(zPointMoved.y, 1) + " z= " + Math.Round(zPointMoved.z, 1), drawFont, drawBrush, pZ.X, pZ.Y);
            }
         //   if (formen.checkBoxShow3Dcube.Checked == true)
            {
                //Drawing the missing sides her. So that we see the entire cube.
                Pen p2 = new Pen(Color.Blue, 2);
                g.DrawLine(p2, pX.X, pX.Y, pYX.X, pYX.Y);
                g.DrawLine(p2, pZ.X, pZ.Y, pYZ.X, pYZ.Y);
                g.DrawLine(p2, pX.X, pX.Y, pXZ.X, pXZ.Y);
                g.DrawLine(p2, pZ.X, pZ.Y, pXZ.X, pXZ.Y);
                g.DrawLine(p2, pXZ.X, pXZ.Y, pXYZ.X, pXYZ.Y);

                g.DrawLine(p2, pXYZ.X, pXYZ.Y, pYX.X, pYX.Y);
                g.DrawLine(p2, pXYZ.X, pXYZ.Y, pYZ.X, pYZ.Y);
                g.DrawLine(p2, pY.X, pY.Y, pYX.X, pYX.Y);
                g.DrawLine(p2, pY.X, pY.Y, pYZ.X, pYZ.Y);
            }


           // if (formen.checkBoxDraw.Checked == true)
            {
                Point[] list = new Point[4];
                list[1] = mp;
                list[0] = pZ;
                list[2] = pX;
                list[3] = pXZ;
                SolidBrush semiTransBrush = new SolidBrush(Color.FromArgb(128, 0, 0, 255));
                g.FillPolygon(semiTransBrush, list);
            } 
        }
        private double DegreeToRadian(double angle)
        {
            return (Math.PI * angle) / 180.0;
        }
        private double RadianToDegree(double angle)
        {
            return angle * (180.0 / Math.PI);
        }
        private void rotationGenerel()
        {
            //All 7 points rotate in the X-axes, Remember that one of the point is alwayes the same, therefor not 8 points, but only 7.
            rotationXakse(xDegrees, xPoint);
            rotationXakse(xDegrees, yPoint);
            rotationXakse(xDegrees, zPoint);
            rotationXakse(xDegrees, yxPoint);
            rotationXakse(xDegrees, xzPoint);
            rotationXakse(xDegrees, yzPoint);
            rotationXakse(xDegrees, xyzPoint);

            //All 7 points rotate in the Y-axes,
            rotationYakse(yDegrees, xPoint);
            rotationYakse(yDegrees, yPoint);
            rotationYakse(yDegrees, zPoint);
            rotationYakse(yDegrees, yxPoint);
            rotationYakse(yDegrees, xzPoint);
            rotationYakse(yDegrees, yzPoint);
            rotationYakse(yDegrees, xyzPoint);

            //All 7 points rotate in the Z-axes,
            rotationZakse(zDegrees, xPoint);
            rotationZakse(zDegrees, yPoint);
            rotationZakse(zDegrees, zPoint);
            rotationZakse(zDegrees, yxPoint);
            rotationZakse(zDegrees, xzPoint);
            rotationZakse(zDegrees, yzPoint);
            rotationZakse(zDegrees, xyzPoint);
        }
        private void rotationXakse(double grader, xyzDouble xyzD)
        {
            double degreesCos = Math.Round(Math.Cos(DegreeToRadian(grader)), 3);
            double degreesSin = Math.Round(Math.Sin(DegreeToRadian(grader)), 3);

            double x = (1 * xyzD.x) + (0 * xyzD.y) + (0 * xyzD.z);
            double y = (0 * xyzD.x) + (degreesCos * xyzD.y) - (degreesSin * xyzD.z);
            double z = (0 * xyzD.x) + (degreesSin * xyzD.y) + (degreesCos * xyzD.z);

            xyzD.x = Math.Round(x, 3);
            xyzD.y = Math.Round(y, 3);
            xyzD.z = Math.Round(z, 3);
        }
        private void rotationYakse(double grader, xyzDouble xyzD)
        {
            double degreesCos = Math.Round(Math.Cos(DegreeToRadian(grader)), 3);
            double degreesSin = Math.Round(Math.Sin(DegreeToRadian(grader)), 3);

            double x = (degreesCos * xyzD.x) + (0 * xyzD.y) + (degreesSin * xyzD.z);
            double y = (0 * xyzD.x) + (1 * xyzD.y) + (0 * xyzD.z);
            double z = -(degreesSin * xyzD.x) + (0 * xyzD.y) + (degreesCos * xyzD.z);

            xyzD.x = Math.Round(x, 3);
            xyzD.y = Math.Round(y, 3);
            xyzD.z = Math.Round(z, 3);
        }
        private void rotationZakse(double grader, xyzDouble xyzD)
        {
            double degreesCos = Math.Round(Math.Cos(DegreeToRadian(grader)), 3);
            double degreesSin = Math.Round(Math.Sin(DegreeToRadian(grader)), 3);

            double x = (degreesCos * xyzD.x) - (degreesSin * xyzD.y) + (0 * xyzD.z);
            double y = (degreesSin * xyzD.x) + (degreesCos * xyzD.y) + (0 * xyzD.z);
            double z = (0 * xyzD.x) + (0 * xyzD.y) + (1 * xyzD.z);

            xyzD.x = Math.Round(x, 3);
            xyzD.y = Math.Round(y, 3);
            xyzD.z = Math.Round(z, 3);
        }
    }
}
   


