﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MySql.Data.MySqlClient;
using System.Data;

namespace WindowsFormsApp1.mydbclass
{
    //public MySqlConnection conn;

    class DB
    {
        public MySqlConnection con;

        public DB()
        {
            string host = "localhost";
            string db = "sceneassemblerplugin";
            string port = "3306";
            string user = "root";
            string pass = "";
            string constring = "datasource =" + host + "; database =" + db + "; port =" + port + "; username = " + user + "; password=" + pass + "; SslMode=none";
            con = new MySqlConnection(constring);
        }
    }

    class CRUD : DB
    {
        public string ename { set; get; }
        public string sname { set; get; }

        public DataTable dt = new DataTable();
        private DataSet ds = new DataSet();
        public void InsertAsset()
        {
            con.Open();
            using (MySqlCommand cmd = new MySqlCommand())
            {
                cmd.CommandText = "INSERT INTO asset (entry_name) VALUES (@ename)";
                cmd.CommandType = CommandType.Text;
                cmd.Connection = con;

                cmd.Parameters.Add("@ename", MySqlDbType.VarChar).Value = ename;

                cmd.ExecuteNonQuery();
                con.Close();
            }
        }

        public void Insertshot()
        {
            con.Open();
            using (MySqlCommand cmd = new MySqlCommand())
            {
                cmd.CommandText = "INSERT INTO shot('Shot_Name') VALUES(@sname)";
                cmd.CommandType = CommandType.Text;
                cmd.Connection = con;

                cmd.Parameters.Add("@sname", MySqlDbType.VarChar).Value = sname;

                cmd.ExecuteNonQuery();
                con.Close();
            }
        }
        public void Read_data()
        {
            dt.Clear();
            String query = "SELECT * FROM asset";
            MySqlDataAdapter MDA = new MySqlDataAdapter(query, con);
            MDA.Fill(ds);
            dt = ds.Tables[0];
        }
    }
}
      
    


